Attribute Data Type
The attribute data type resource.
Basehttps://rest.carbon.ms/attributeDataType
GET
/attributeDataTypeList attribute data types
Retrieve a paginated list of attribute data types. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/attributeDataType
curl --request GET \
--url 'https://rest.carbon.ms/attributeDataType?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": 0,
"label": "string",
"isBoolean": true,
"isDate": true,
"isList": true,
"isNumeric": true,
"isText": true,
"isUser": true
}
]GET
/attributeDataTypeRetrieve a attribute data type
Fetch a single attribute data type by filtering on `id`.
Query parameters
idstringMatch on the attribute data type's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/attributeDataType
curl --request GET \
--url 'https://rest.carbon.ms/attributeDataType?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": 0,
"label": "string",
"isBoolean": true,
"isDate": true,
"isList": true,
"isNumeric": true,
"isText": true,
"isUser": true
}POST
/attributeDataTypeCreate a attribute data type
Create a new attribute data type.
Body parameters
labelstringrequiredisBooleanbooleanrequiredisDatebooleanrequiredisListbooleanrequiredisNumericbooleanrequiredisTextbooleanrequiredisUserbooleanrequiredisCustomerbooleanrequiredisSupplierbooleanrequiredisFilebooleanrequiredPOSThttps://rest.carbon.ms/attributeDataType
curl --request POST \
--url https://rest.carbon.ms/attributeDataType \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"label":"string","isBoolean":true,"isDate":true,"isList":true,"isNumeric":true,"isText":true,"isUser":true,"isCustomer":true,"isSupplier":true,"isFile":true}'Response
{
"id": 0,
"label": "string",
"isBoolean": true,
"isDate": true,
"isList": true,
"isNumeric": true,
"isText": true,
"isUser": true
}PATCH
/attributeDataTypeUpdate a attribute data type
Update an existing attribute data type, matched on `id`.
Body parameters
labelstringrequiredisBooleanbooleanrequiredisDatebooleanrequiredisListbooleanrequiredisNumericbooleanrequiredisTextbooleanrequiredisUserbooleanrequiredisCustomerbooleanrequiredisSupplierbooleanrequiredisFilebooleanrequiredPATCHhttps://rest.carbon.ms/attributeDataType
curl --request PATCH \
--url 'https://rest.carbon.ms/attributeDataType?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"label":"string"}'Response
{
"id": 0,
"label": "string",
"isBoolean": true,
"isDate": true,
"isList": true,
"isNumeric": true,
"isText": true,
"isUser": true
}DELETE
/attributeDataTypeDelete a attribute data type
Delete a attribute data type, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the attribute data type to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/attributeDataType
curl --request DELETE \
--url 'https://rest.carbon.ms/attributeDataType?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content